Einrichtung von Eclipse schlägt fehl

  • 7 Antworten
  • Neuester Beitrag
Diskutiere Einrichtung von Eclipse schlägt fehl im Android App Entwicklung im Bereich Betriebssysteme & Apps.
M

marc1985

Neues Mitglied
Hallo zusammen,

ich bin am verzweifeln, ich versuche seit einer geschlagenen Stunde (oder länger?) Eclipse bei mir auf dem Win 8 Laptop einzurichten.

Ich hänge beim Schritt fest, wo ich die neue Software hinzufüge.

Ich gehe auf Help -> New Software -> Add
trage folgenden Link ein
https://dl-ssl.google.com/android/eclipse/ und bekomme die Fehlermeldung:

Unable to read repository at https://dl-ssl.google.com/android/eclipse/content.xml.
Unable to read repository at https://dl-ssl.google.com/android/eclipse/content.xml.
Cannot assign requested address: connect
Gut dachte ich mir, nimmst du den Link ohne das "s", also
Android SDK Plugin for Eclipse - Update Site und weil es so schön war, bekomme ich die gleiche Fehlermeldung wieder.

Unable to read repository at http://dl-ssl.google.com/android/eclipse/content.xml.
Unable to read repository at http://dl-ssl.google.com/android/eclipse/content.xml.
Cannot assign requested address: connect
Habe dann durch Zufall auf der developer Seite von Google, dass Plu In als zip Datei gefunden, also diesen eingefügt. Ich bekomme dann auch Developer Tools und NDK Plug Ins zur Auswahl angezeigt, wenn ich jetzt den Haken bei Developer Tools setze und dann auf Finish klicke, passiert folgendes, richtig ich bekomme wieder einen Fehler nur dieses mal wird folgendes angezeigt:

Cannot complete the install because one or more required items could not be found.
Software being installed: Android Development Tools 21.1.0.v201302060044-569685 (com.android.ide.eclipse.adt.feature.group 21.1.0.v201302060044-569685)
Missing requirement: Android Development Tools 21.1.0.v201302060044-569685 (com.android.ide.eclipse.adt.feature.group 21.1.0.v201302060044-569685) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found
Nun gut, jetzt dachte ich mir, ich probiere statt der Eclipse Classic 4.2.2 mal Eclipse IDE for JAVA EE Developers. Hier ist das komische mit Link bekomme ich die Fehlermeldung von oben, probiere ich es aber direkt mir der zip Datei, kann ich auch das Developer Tool auswählen und installieren, ich bekomme aber währenddessen folgende Fehlermeldung:

"Android DDMS" will be ignored because it is already installed.
"Android Development Tools" will be ignored because it is already installed.
"Android Traceview" will be ignored because it is already installed.
"Android Hierarchy Viewer" will be ignored because it is already installed.
Wenn ich jetzt auf Close klicke, werde ich wieder zum Hauptbildschirm von EE weitergeleitet. Klicke ich jetzt aber auf Android SDK Manager, geht dieser auf und dann bekomme ich folgende Fehlermeldung angezeigt:

Fetching https://dl-ssl.google.com/android/repository/addons_list-2.xml
Fetched Add-ons List successfully
Fetching URL: https://dl-ssl.google.com/android/repository/repository-7.xml
Done loading packages.
Fetching https://dl-ssl.google.com/android/repository/addons_list-2.xml
Failed to fetch URL https://dl-ssl.google.com/android/repository/addons_list-2.xml, reason: Cannot assign requested address: connect
Fetched Add-ons List successfully
Fetching URL: https://dl-ssl.google.com/android/repository/repository-7.xml
Failed to fetch URL https://dl-ssl.google.com/android/repository/repository-7.xml, reason: Bind Cannot assign requested address: connect
Done loading packages.
Wenn ich jetzt, die Pakete auswähle, dann wird mir nur angezeigt, ich könne diese 5 löschen, aber ich kann nichts installieren.

Wenn ich jetzt, den SDK Manager auswähle und starten möchte, dann geht nur ein kleines "DOS"-ähnliches Fenster auf und schließt sich in Bruchteilen von Sekunden wieder.

So wer kann mir da bitte weiterhelfen.


LG
Marc
 
P

perpe

Gast
Hallo Marc,

also wenn du es dir ganz einfach machen willst, dann nimmst du das Android SDK Bundle Paket von Android SDK | Android Developers, dort müsste Eclpise schon fertig eingerichtet mit dabei sein (wenn ich mich jetzt nicht ganz irre)
Wenn du mit deinem Elcipse weiter machen möchtest, dann überprüfe ob bei Help -> Install New Software unter "Available Software Sites"
Code:
http://download.eclipse.org/releases/juno/
mit drin steht, wenn nicht erst hinzufügen und dann erst die URL für das ADT Plugin.
 
M

marc1985

Neues Mitglied
Vielen Dank, euch beiden soweit habe ich es geschafft.
Habe jetzt die eclipse.ini und die android.bat angepasst, wenn ich jetzt auf den Android SDK Manager klicke, geht ein Fenster auf und das Fenster zeigt an

Starting Android SDK Manager
und dann passiert gar nichts mehr
 
M

marc1985

Neues Mitglied
Das Bundle habe ich bereits heruntergeladen. Hat jemand Lust mir evtl per TV bei der Einrichtung behilflich zu sein?

Gesendet von meinem GT-I9300 mit Tapatalk 2
 
solar22

solar22

App-Anbieter (Werbung)
Welche Java Version hast du installiert?

java -version ausführen in cmd.
 
M

marc1985

Neues Mitglied
ich habe java 7 update 21 installiert